CRYPTO_ABLKCIPHER_SE(9)

NAME
crypto_ablkcipher_setkey - set key for cipher

SYNOPSIS

int crypto_ablkcipher_setkey(struct crypto_ablkcipher * tfm, const u8 * key, unsigned int keylen);

ARGUMENTS

tfm
    cipher handle

key
    buffer holding the key

keylen
    length of the key in bytes

DESCRIPTION

The caller provided key is set for the ablkcipher referenced by the cipher handle.

Note, the key length determines the cipher type. Many block ciphers implement different cipher modes depending on the key size, such as AES-128 vs AES-192 vs. AES-256. When providing a 16 byte key for an AES cipher handle, AES-128 is performed.

RETURN

0 if the setting of the key was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT